tags:
  # pdfinfo
  t001: "(Syntax )?Error: Invalid object stream"
  t002: "(\")?(Syntax )?Error: Expected the default config, but wasn't able to find it, or it isn't a Dictionary(\")?"
  t003: "(\")?(Syntax Warning|Error): Invalid least number of objects reading page offset hints table(\")?"
  t004: "(\")?(Syntax Warning|Error): Invalid number of first page shared object groups(\")?"
  t005: "(\")?(Syntax Warning|Error): Failed to get object num from hint tables for page [0-9]+(\")?"
  t006: "(\")?(Syntax Warning|Error): Failed parsing page [0-9]+ using hint tables(\")?" 
  t007: "(\")?(Syntax Warning|Error): Invalid number of shared object groups(\")?"
  t008: "(\")?(Syntax )?Error \\([0-9]+\\): Unterminated string(\")?"
  t009: "(\")?(Syntax )?Error \\([0-9]+\\): End of file inside dictionary(\")?"
  t010: "(\")?(Syntax )?Error: Expected the optional content group list, but wasn't able to find it, or it isn't an Array(\")?"
  t011: "(Syntax )?Error: Failed to parse XRef entry \\[[0-9]+\\]\\."
  t012: "(Syntax Warning|Error): Invalid shared object hint table offset"
  t013: "(Syntax )?Error: Unterminated string"
  t014: "(Syntax )?Error \\([0-9]+\\): Warning: name token is longer than what the specification says it can be"
  t015: "(\")?(Syntax )?Error: Can't get Fields array\\<[0-9a-f][0-9a-f]\\>(\")?"
  t016: "(Syntax )?Error \\([0-9]+\\): Illegal character \\<[0-9a-f][0-9a-f]\\> in hex string"
  t017: "(Syntax )?Error \\([0-9]+\\): Illegal character '.'"
  t018: "(Syntax )?Error: font resource is not a dictionary"
  t019: "(Syntax )?Error: Unterminated hex string"
  t020: "(Syntax )?Error: End of file inside array"
  t021: "(Syntax )?Error: End of file inside dictionary"
  t022: "(Syntax )?Error: Couldn't find trailer dictionary"
  t023: "(Syntax )?Error: Invalid XRef entry"
  t024: "Syntax Warning: May not be a PDF file \\(continuing anyway\\)"
  t025: "(Syntax )?Error: Couldn't read xref table"
  t026: "(Syntax )?Error \\([0-9]+\\): Unknown compression (method|type) in (flate|JPX) stream"
  t027: "(Syntax Warning|Error): Invalid number of shared objects"
  t028: "(Syntax )?Error: Form field child is not a dictionary"
  t029: "(Syntax )?Error: Top-level pages object is wrong type \\(null\\)"
  t030: "Command Line Error: Wrong page range given: the first page \\([0-9]+\\) can not be after the last page \\([0-9]+\\)\\."
  t031: "(Syntax Warning|Error): Failed parsing hints table object"
  t032: "(Syntax )?Error: Page additional action object \\(page [0-9]+\\) is wrong type \\(ref\\)"
  t033: "(Syntax )?Error \\([0-9]+\\): Command token too long"
  t034: "(Syntax )?Error( \\([0-9]+\\))?: Dictionary key must be a name object"
  t246: "(Syntax )?Error: Catalog object is wrong type \\((null|integer)\\)"
  t400: "(Syntax )?Error: Page count in top-level pages object is wrong type \\((null|cmd|ref)\\)"
  t401: "(Syntax Warning|Error): No valid XRef size in trailer"
  t402: "(Syntax Warning|Error): Length in linearization table is invalid"
  t403: "(Syntax )?Error: Couldn't read page catalog"
  t404: "(Syntax )?Error: Invalid encryption key length"
  t405: "(Syntax Warning|Error): Infinite loop in xref table"
  t406: "(Syntax )?Error: Kid object \\(page [0-9]+\\) is not an indirect reference \\(cmd\\)"
  t407: "(Syntax )?Error: Page annotations object \\(page [0-9]+\\) is wrong type \\(integer\\)"

  # xpdf
  t035: "Corrupt JPEG data: [0-9]+ extraneous bytes before marker 0x[0-9a-f]+"
  t036: "Corrupt JPEG data: premature end of data segment"
  t037: "(Internal )?Error( \\([0-9]+\\))?: Got 'EI' operator"
  t038: "(Syntax )?Error( \\([0-9]+\\))?: No font in (move/)?show(/space)?"
  t039: "(Syntax )?Error( \\([0-9]+\\))?: Unknown operator '([^\ ]*|PH25fbqn\\+ll=TOg6tj\\^m- \\$ob)'"
  t040: "(Syntax )?Error( \\([0-9]+\\))?: Missing 'endstream' or incorrect stream length"
  t041: "(Syntax )?Error \\([0-9]+\\): CCITTFax row is wrong length \\([0-9]+\\)"
  t042: "(Syntax )?Error \\([0-9]+\\): insufficient arguments for Marked Content"
  t043: "(Syntax )?Error( \\([0-9]+\\))?: Bad image parameters"
  t044: "(Syntax )?Error \\([0-9]+\\): Bad LZW stream - unexpected code"
  t045: "(Syntax )?Error \\([0-9]+\\): Unexpected end of file in flate stream"
  t046: "(Syntax )?Error( \\([0-9]+\\))?: Arg #0 to '[^\ ]+' operator is wrong type \\((string|real|name|error|dictionary|array|integer)\\)"
  t047: "(Syntax )?Error( \\([0-9]+\\))?: No current point in closepath"
  t048: "(Syntax )?Error( \\([0-9]+\\))?: Too few \\([0-9]+\\) args to '[^\\ ]+' operator"
  t049: "(Syntax )?Error \\([0-9]+\\): Unexpected EOF( in getImageParams)? in JPX stream"
  t050: "(Syntax )?Error \\([0-9]+\\): Bad uncompressed block length in flate stream"
  t051: "(Syntax )?Error \\([0-9]+\\): Bad block header in flate stream"
  t052: "(\")?(Syntax )?Error \\([0-9]+\\): Bad dynamic code table in flate stream(\")?"
  t053: "(Syntax )?Error \\([0-9]+\\): Bad FCHECK in flate stream"
  t054: "(Syntax )?Error \\([0-9]+\\): Invalid CCITTFax code"
  t055: "(Syntax )?Error \\([0-9]+\\): Unknown segment type in JBIG2 stream"
  t056: "(Syntax )?Error( \\([0-9]+\\))?: Missing or bad Type3 CharProc entry"
  t057: "(Syntax )?Error \\([0-9]+\\): Element of show/space array must be number or string"
  t058: "(Syntax )?Error: Bad bounding box for annotation"
  t059: "(Syntax )?Error: Couldn't create a font for '[a-zA-Z0-9-+_,.]+'"
  t060: "(Syntax )?Error: Couldn't find (ToUnicode|'.+') CMap file for '[a-zA-Z0-9-]+'( collection)?"
  t061: "(Syntax )?Error: Embedded font file may be invalid"
  t062: "(Syntax )?Error: Kid object \\(page [0-9]+\\) is wrong type \\((null|stream)\\)"
  t063: "(Syntax )?Error: Leftover args in content stream"
  t064: "Syntax Error: Missing language pack for '[a-zA-Z0-9-]+' mapping"
  t065: "Syntax Error: No current point in closepath"
  t066: "(Syntax )?Error: Unknown character collection '[a-zA-Z0-9-]+'"
  t067: "(Syntax Warning|Error)( \\([0-9]+\\))?: Mismatched EMC operator"
  t068: "(Syntax Warning|Error) \\([0-9]+\\): Naked JPEG 2000 codestream, missing JP2/JPX wrapper"
  t069: "(Syntax Warning|Error) \\([0-9]+\\): Badly formatted number"
  t070: "(Syntax Warning|Error): Annotation destination array is too short"
  t071: "(\")?(Syntax Warning|Error): (Bad|Illegal) annotation destination(\")?"
  t072: "(\")?(Syntax Warning|Error): Bad bounding box in Type 3 glyph(\")?"
  t073: "(Error|Syntax Warning): Bad launch-type link action"
  t074: "(Syntax Warning|Error): Bad Separation(ColorSpace function| color space)"
  t075: "(Syntax Warning|Error): Can't create transform"
  t076: "(Syntax Warning|Error): Could not parse ligature component \"(char|old|chart)\" of \"(char_[0-9]+|.+_old|bar_chart)\" in parseCharName"
  t077: "(Syntax Warning|Error): Couldn't link the profiles"
  t078: "(Syntax Warning|Error): Field can't have both Widget AND Field as kids\\<[0-9a-f]+\\>"
  t079: "(Syntax Warning|Error): FoFiType1::parse a line has more than 255 characters, we don't support this"
  t080: "Syntax Warning: (Illegal|Invalid) entry in (bfrange|bfchar) block in ToUnicode CMap"
  t081: "(Syntax Warning|Error): Illegal URI-type link"
  t082: "(\")?(Syntax Warning|Error): Invalid Font Weight(\")?"
  t083: "(Syntax Warning|Error): Invalid object num \\([0-9-]+\\) for page [0-9]+"
  t084: "(Syntax Warning|Error): Mismatch between font type and embedded font file"
  t085: "(\")?(Syntax Warning|Error): not an ICC profile, invalid signature(\")?"
  t086: "(Syntax Warning|Error): Object \\([0-9]+ [0-9]+\\) is not a pageDict"
  t087: "(Error|Syntax Warning): parseAction: (Unknown|Bad) annotation action (object:|for) URI( =)? 'NULL'"
  t088: "(\")?(Syntax Warning|Error): read ICCBased color space profile error(\")?"
# t436 added later was a more general duplicate of t089, so I changed t089 and
# commented out t436
  t089: "(Syntax )?Error: Unknown font tag '.+'"
  t090: "(Syntax Warning|Error): Illegal entry (in bfrange block )?in ToUnicode CMap"
  t313: "(Syntax )?Error: Unknown CMap '.+' for character collection '.+'"
  t314: "(Syntax )?Error( \\([0-9]+\\))?: ExtGState '.+' is (wrong type|unknown)"
  t408: "(\")?(Syntax )?Error: Page contents object \\(page [0-9]+\\) is wrong type \\(integer\\)(\")?"
  t409: "(\")?(Syntax )?Error: Failed to create page \\(page [0-9]+\\)(\")?"
  t410: "(Syntax Warning|Error): SubType on non-terminal field, invalid document\\?"
  t411: "(Syntax )?Error: Invalid form field renference"
  t412: "(Syntax Warning|Error): Reference in Fields array to an invalid or non existant object"
  t413: "(Syntax Warning|Error): Direct object in rootFields"
  t414: "(Syntax )?Error: Wrong type in font encoding resource differences \\((string|cmd|dictionary)\\)"
  t415: "(Syntax )?Error \\([0-9]+\\): Error in JPX SIZ marker segment"
  t416: "(Internal )?Error \\([0-9]+\\): Call to Object where the object was type [0-9]+, not the expected type [0-9]+, [0-9]+ or [0-9]+"
  t417: "(Syntax )?Error: Weird page contents"
  t418: "(Syntax )?Error: FormWidgetChoice:: invalid( [0-9]+)? Opt entry( -- exported value not a string)?<[0-9][a-z]>"
  t419: "(Syntax )?Error \\([0-9]+\\): Unknown filter '.+'"
  t420: "(Syntax )?Error: Unknown font in field's DA string"
  t421: "(Syntax )?Error \\([0-9]+\\): Different number of components in JPX SIZ marker segment"
  t422: "(Syntax )?Error: Embedded font object is wrong type"
  t423: "(Syntax )?Error: Bad form bounding box( value)?"
  t424: "(Syntax )?Error \\([0-9]+\\): FDICT bit set in flate stream"
  t425: "(Syntax )?Error \\([0-9]+\\): Error in JPX stream"
  t426: "(Syntax )?Error \\([0-9]+\\): XObject subtype is missing or wrong type"
  t427: "(Syntax )?Error \\([0-9]+\\): Incorrect number of arguments in '.+' command"
  t428: "(Syntax )?Error \\([0-9]+\\): Wrong index for quantSteps in inverseTransformLevel in JPX stream"
  t429: "(Syntax )?Error \\([0-9]+\\): Missing COD marker segment in JPX stream"
  t430: "(Syntax Warning|Error): t3FontCache reaches limit but font still on stack in SplashOutputDev::beginType3Char"
  t431: "Syntax Error \\([0-9]+\\): Too few symbols in JBIG2 symbol dictionary"
  t432: "(Syntax )?Error: Missing CIDSystemInfo dictionary in Type [0-9]+ descendant font"
  t433: "(Syntax )?Error: Function's .+ array is wrong length"
  t434: "Syntax Error: Incompatible subfunctions in stitching function"
  t435: "(Syntax Warning|Error): Unexpected oc reference target: [0-9]+"
#  t436: "(Syntax )?Error: Unknown font tag '.+'"
  t437: "(Syntax )?Error( \\([0-9]+\\))?: XObject '.+' is wrong type"
  t438: "(Syntax )?Error: Function type is missing or wrong type"
  t439: "Bogus memory allocation size"
  t440: "(Syntax Warning|Error): Cmd was not obj but obj[0-9]+, assuming the creator meant obj [0-9]+"
  t441: "(Syntax )?Error \\([0-9]+\\): Invalid JBIG2 combine"
  t442: "(Syntax )?Error \\([0-9]+\\): Invalid soft mask in ExtGState - missing group"
  t443: "Syntax Error: Missing or invalid CharProcs dictionary in Type [0-9]+ font"

  # evince
  t091: "\\*\\* \\(evince:[0-9]+\\): WARNING \\*\\*: Unimplemented annotation: POPPLER_ANNOT_STAMP.  It is a known issue and it might be implemented in the future."
  t092: "\\*\\*\\* BUG \\*\\*\\*\nIn pixman_region32_init_rect: Invalid rectangle passed\nSet a breakpoint on '_pixman_log_error' to debug(\n)?"
  t093: "(Syntax )?Error \\([0-9]+\\): Illegal digit in hex char in name"
  t094: "\\*\\* \\(evince:[0-9]+\\): WARNING \\*\\*: Unimplemented annotation: POPPLER_ANNOT_FREE_TEXT.  It is a known issue and it might be implemented in the future."
  t095: "namespace error : .+(\n.+\n.*[\\^])?"
  t096: "\\(evince:[0-9]+\\): Poppler-CRITICAL \\*\\*: PopplerPage\\* poppler_document_get_page(PopplerDocument\\*, int): assertion '0 <= index && index < poppler_document_get_n_pages \\(document\\)' failed"
  t097: "\\(evince:[0-9]+\\): Poppler-CRITICAL \\*\\*: PopplerPage\\* poppler_document_get_page\\(PopplerDocument\\*, int\\): assertion '0 <= index && index < poppler_document_get_n_pages \\(document\\)' failed"
  t098: "\\(evince:[0-9]+\\): Poppler-CRITICAL \\*\\*: void poppler_page_get_size\\(PopplerPage\\*, double\\*, double\\*\\): assertion 'POPPLER_IS_PAGE \\(page\\)' failed"
#  t099: "\\(evince:[0-9]+\\): GLib-GObject-CRITICAL \\*\\*: g_object_unref: assertion 'G_IS_OBJECT \\(object\\)' failed"
  t100: "Syntax Warning: Unknown Metadata type: '\\?\\?\\?'"
  t101: "Entity: line [0-9]+: parser error : .+\n((Bytes: .+\n)?.+\n.*[\\^])?"
  #t536: "Entity: line [0-9]+: parser error : Premature end of data in tag (xmpmeta|Producer|Description|RDF) line [0-9]+"
  #t537: "Entity: line [0-9]+: parser error : Start tag expected, '<' not found"
  #t538: "Entity: line [0-9]+: parser error : Couldn't find end of Start Tag Description line [0-9]+"

  #t102: "namespace error : Namespace prefix rdf .*on (Description|Alt|li|Seq) is not defined\n.+\n.*[\\^].*\n"
  t103: "\\*\\* \\(evince:[0-9]+\\): WARNING \\*\\*: Unimplemented action: POPPLER_ACTION_UNKNOWN, please post a bug report in Evince bugzilla \\(http://bugzilla\\.gnome\\.org\\) with a testcase."
  t104: "\\*\\* \\(evince:[0-9]+\\): WARNING \\*\\*: Unimplemented action: POPPLER_ACTION_JAVASCRIPT, please post a bug report in Evince bugzilla \\(http://bugzilla\\.gnome\\.org\\) with a testcase."
  t105: "\\*\\* \\(evince:[0-9]+\\): WARNING \\*\\*: Unimplemented annotation: POPPLER_ANNOT_POLYGON, please post a bug report in Evince bugzilla \\(http://bugzilla\\.gnome\\.org\\) with a testcase\\."
  t106: "\\*\\* \\(evince:[0-9]+\\): WARNING \\*\\*: Unimplemented annotation: POPPLER_ANNOT_POLY_LINE, please post a bug report in Evince bugzilla \\(http://bugzilla\\.gnome\\.org\\) with a testcase\\."
  # duplicate of t091 t107: "\\*\\* \\(evince:[0-9]+\\): WARNING \\*\\*: Unimplemented annotation: POPPLER_ANNOT_STAMP\\.  It is a known issue and it might be implemented in the future\\."
#  t108: "\\(evince:[0-9]+\\): Gtk-WARNING \\*\\*: Calling Inhibit failed: GDBus\\.Error:org\\.freedesktop\\.DBus\\.Error\\.ServiceUnknown: The name org\\.gnome\\.SessionManager was not provided by any \\.service files"
  t109: "\\*\\* \\(evince:[0-9]+\\): WARNING \\*\\*: Unimplemented annotation: POPPLER_ANNOT_HIGHLIGHT\\.  It is a known issue and it might be implemented in the future\\."
  t110: "(Syntax )?Error: Invalid FileSpec(: Embedded file stream is not an indirect reference)?"
  t111: "\\*\\* \\(evince:[0-9]+\\): WARNING \\*\\*: Unimplemented annotation: POPPLER_ANNOT_SQUARE\\.  It is a known issue and it might be implemented in the future\\."
  t112: "Syntax Error( \\([0-9]+\\))?: No current point in lineto"
  t113: "\\(evince:[0-9]+\\): Poppler-WARNING \\*\\*: Unsupported Annot Type"
  t114: "\\*\\* \\(evince:[0-9]+\\): WARNING \\*\\*: Unimplemented annotation: POPPLER_ANNOT_UNKNOWN, please post a bug report in Evince bugzilla \\(http://bugzilla\\.gnome\\.org\\) with a testcase."
  t115: "\\*\\* \\(evince:[0-9]+\\): WARNING \\*\\*: Unimplemented annotation: POPPLER_ANNOT_LINE\\.  It is a known issue and it might be implemented in the future\\."
  t116: "\\*\\* \\(evince:[0-9]+\\): WARNING \\*\\*: Unimplemented annotation: POPPLER_ANNOT_UNDERLINE\\.  It is a known issue and it might be implemented in the future\\."
  t117: "\\(evince:[0-9]+\\): Poppler-WARNING \\*\\*: Invalid page [0-9]+ in Link Destination"
  t118: "\\*\\* \\(evince:[0-9]+\\): WARNING \\*\\*: Unimplemented annotation: POPPLER_ANNOT_INK, please post a bug report in Evince bugzilla \\(http://bugzilla\\.gnome\\.org\\) with a testcase\\."
  t119: "\\*\\* \\(evince:[0-9]+\\): WARNING \\*\\*: Unimplemented annotation: POPPLER_ANNOT_POPUP, please post a bug report in Evince bugzilla \\(http://bugzilla\\.gnome\\.org\\) with a testcase\\."
  t120: "(Syntax )?Error( \\([0-9]+\\))?: Inline image dictionary key must be a name object"
  t121: "(Syntax )?Error: End of file in inline image"
  t122: "Syntax Warning: font matrix not invertible<[0-9a-f]{2}>"
  t123: "\\*\\* \\(evince:[0-9]+\\): WARNING \\*\\*: Unimplemented annotation: POPPLER_ANNOT_SCREEN\\.  It is a known issue and it might be implemented in the future\\."
  t124: "timeout: the monitored command dumped core\nSegmentation fault"
  t125: "\\*\\* \\(evince:[0-9]+\\): WARNING \\*\\*: Unimplemented annotation: POPPLER_ANNOT_MOVIE, please post a bug report in Evince bugzilla \\(http://bugzilla\\.gnome\\.org\\) with a testcase\\."
  t126: "\\*\\* \\(evince:[0-9]+\\): WARNING \\*\\*: Unimplemented annotation: POPPLER_ANNOT_STRIKE_OUT\\.  It is a known issue and it might be implemented in the future\\."
  t127: "(\")?(Syntax Warning|Error): Bad named destination value(\")?"
  t128: "Syntax Error: could not create type1 face"
  t129: "\\(evince:[0-9]+\\): EvinceDocument-CRITICAL \\*\\*: ev_annotation_markup_set_label: assertion 'label != NULL' failed"
  t130: "Syntax Error \\([0-9]+\\): Bad LZW stream - expected clear-table code"
  t131: "Syntax Error: failed to load truetype font<[0-9a-f]{2}>"
# t132 is a duplicate of t126
#  t132: "\\*\\* \\(evince:[0-9]+\\): WARNING \\*\\*: Unimplemented annotation: POPPLER_ANNOT_STRIKE_OUT\\.  It is a known issue and it might be implemented in the future\\."
  t133: "\\*\\* \\(evince:[0-9]+\\): WARNING \\*\\*: Unimplemented annotation: POPPLER_ANNOT_CIRCLE, please post a bug report in Evince bugzilla \\(http://bugzilla\\.gnome\\.org\\) with a testcase\\."
  t134: "\\*\\* \\(evince:[0-9]+\\): WARNING \\*\\*: Unimplemented annotation: POPPLER_ANNOT_CARET\\.  It is a known issue and it might be implemented in the future\\."
  t135: "(Syntax )?Error: Bad appearance for annotation"
  t136: "Syntax Error: could not create truetype face<[0-9a-f]{2}>"
  t137: "Corrupt JPEG data: bad Huffman code"
  t138: "(Syntax )?Error: Embedded font file is not a stream"
  t139: "\\(evince:[0-9]+\\): Poppler-CRITICAL \\*\\*: gint poppler_layer_get_radio_button_group_id\\(PopplerLayer\\*\\): assertion 'POPPLER_IS_LAYER \\(poppler_layer\\)' failed"
  t140: "\\(evince:[0-9]+\\): Poppler-CRITICAL \\*\\*: gboolean poppler_layer_is_parent\\(PopplerLayer\\*\\): assertion 'POPPLER_IS_LAYER \\(poppler_layer\\)' failed"
#  t141: "\\(evince:[0-9]+\\): GLib-GObject-CRITICAL \\*\\*: g_object_ref: assertion 'G_IS_OBJECT \\(object\\)' failed"
  t142: "(Internal )?Error \\([0-9]+\\): Got 'ID' operator"
#  t143: "\\(evince:[0-9]+\\): Gdk-WARNING \\*\\*: evince: Fatal IO error 11 \\(Resource temporarily unavailable\\) on X server :0\\."     
  t144: "(Syntax Warning|Error): Unknown font type: '.*'"
  t145: "(Syntax )?Error: XObject '[a-zA-Z0-9]+' is unknown"
  t146: "(Syntax )?Error: Couldn't find a font for '[^ ]+'"
  t147: "(Syntax )?(Warning|Error \\([0-9]+\\)|Error): Bad color space(( - expected name or array or dict| \\(fill\\)| in shading dictionary| \\(stroke\\)| 'CS0'))?"
  t148: "Error: Cannot parse color space"
#  t149: "\\(evince:[0-9]+\\): GLib-CRITICAL \\*\\*: g_markup_escape_text: assertion 'text != NULL' failed"
  t150: "Syntax Error \\([0-9]+\\): [0-9]+ extraneous bytes after segment"
  t151: "Syntax Error \\([0-9]+\\): Bad two dim code \\([0-9]+\\) in CCITTFax stream"
  t152: "(Syntax )?Error: Restoring state when no valid states to pop"
  t153: "Syntax Warning: matrix not invertible<[0-9a-f]{2}>"
  t154: "(Syntax )?Error \\([0-9]+\\): JPX stream has no supported color spec"
  t155: "\\*\\* \\(evince:[0-9]+\\): CRITICAL \\*\\*: void pdf_document_get_page_size\\(EvDocument\\*, EvPage\\*, double\\*, double\\*\\): assertion 'POPPLER_IS_PAGE \\(page->backend_page\\)' failed"
  t156: "\\*\\* \\(evince:[0-9]+\\): CRITICAL \\*\\*: char\\* pdf_document_get_page_label\\(EvDocument\\*, EvPage\\*\\): assertion 'POPPLER_IS_PAGE \\(page->backend_page\\)' failed"
  t157: "\\(evince:[0-9]+\\): Poppler-CRITICAL \\*\\*: GList\\* poppler_page_get_annot_mapping\\(PopplerPage\\*\\): assertion 'POPPLER_IS_PAGE \\(page\\)' failed"
#  t158: "\\(evince:[0-9]+\\): Gdk-WARNING \\*\\*: gdk_window_set_icon_list: icons too large" 
  t159: "(Syntax )?Error: Invalid page tree"
  t160: "Internal Error: cairo context error: invalid value for a dash setting<0a>"
  t396: "some font thing failed"
  t397: "Internal Error: cairo context error: out of memory<0a>"
  t398: "(Syntax )?Error \\([0-9]+\\): Bad 'Length' attribute in stream"
  t399: "\\(evince:[0-9]+\\): EvinceView-CRITICAL \\*\\*: ev_view_presentation_new: assertion 'current_page < ev_document_get_n_pages \\(document\\)' failed"
  t444: "Syntax Error: invalid width/height"
  t445: "Syntax Error \\([0-9]+\\): Too many symbols in JBIG2 symbol dictionary"
  t446: "\\(evince:[0-9]+\\): Poppler-CRITICAL \\*\\*: GList\\* poppler_page_get_link_mapping\\(PopplerPage\\*\\): assertion 'POPPLER_IS_PAGE \\(page\\)' failed"
  t447: "\\(evince:[0-9]+\\): Poppler-CRITICAL \\*\\*: void poppler_page_render\\(PopplerPage\\*, cairo_t\\*\\): assertion 'POPPLER_IS_PAGE \\(page\\)' failed"
  t448: "\\*\\* \\(evince:[0-9]+\\): CRITICAL \\*\\*: cairo_region_t\\* pdf_document_text_get_text_mapping\\(EvDocumentText\\*, EvPage\\*\\): assertion 'POPPLER_IS_PAGE \\(page->backend_page\\)' failed"
  t449: "\\*\\* \\(evince:[0-9]+\\): CRITICAL \\*\\*: gchar\\* pdf_document_text_get_text\\(EvDocumentText\\*, EvPage\\*\\): assertion 'POPPLER_IS_PAGE \\(page->backend_page\\)' failed"
  t450: "\\*\\* \\(evince:[0-9]+\\): CRITICAL \\*\\*: gboolean pdf_document_text_get_text_layout\\(EvDocumentText\\*, EvPage\\*, EvRectangle\\*\\*, guint\\*\\): assertion 'POPPLER_IS_PAGE \\(page->backend_page\\)' failed"
  t451: "\\*\\* \\(evince:[0-9]+\\): CRITICAL \\*\\*: PangoAttrList\\* pdf_document_text_get_text_attrs\\(EvDocumentText\\*, EvPage\\*\\): assertion 'POPPLER_IS_PAGE \\(page->backend_page\\)' failed"
  t452: "\\*\\* \\(evince:[0-9]+\\): CRITICAL \\*\\*: EvMappingList\\* pdf_document_forms_get_form_fields\\(EvDocumentForms\\*, EvPage\\*\\): assertion 'POPPLER_IS_PAGE \\(page->backend_page\\)' failed"
  t453: "\\(evince:[0-9]+\\): Poppler-CRITICAL \\*\\*: GList\\* poppler_page_get_image_mapping\\(PopplerPage\\*\\): assertion 'POPPLER_IS_PAGE \\(page\\)' failed"
  t454: "Syntax Error: Unknown pattern '.+'"
  t455: "(Syntax Warning|Error): Invalid ShadingType in shading dictionary"
  t456: "(Syntax )?Error: Bad widths array in Type [0-9]+ font"
  t467: "\\*\\* \\(evince:[0-9]+\\): WARNING \\*\\*: Unimplemented annotation: POPPLER_ANNOT_SOUND.  It is a known issue and it might be implemented in the future."
  t468: "\\*\\* \\(evince:[0-9]+\\): WARNING \\*\\*: Unimplemented annotation: POPPLER_ANNOT_3D.  It is a known issue and it might be implemented in the future."


  # okular
  t161: "evaluate\\(\\) threw an exception"
  t315: "Corrupt JPEG data: found marker 0x[0-9]+ instead of RST5"
  t469: "okular\\([0-9]+\\)/okular \\(app\\) Okular::DocumentPrivate::sendGeneratorPixmapRequest: Running out of memory on page [0-9]+ \\([0-9]+x[0-9]+ px\\);"

 
#  t162: "\"okular\\([0-9]+\\): Couldn't start knotify from knotify4\\.desktop: \"KDEInitevaluate\\(\\) threw an exception"
#  t163: "\"okular\\([0-9]+\\): Couldn't start knotify from knotify4\\.desktop:  \"KDEInit"
#  t164: "Cannot connect to server socket err = No such file or directory\nCannot connect to server request channel\njack server is not running or cannot be started"
#  t165: "QFont::setPointSize: Point size <= 0 \\(0\\), must be greater than 0"
#  t166: "QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave."
#  t167: "QInotifyFileSystemWatcherEngine::addPaths: inotify_add_watch failed: No such file or directory"
#  t168: "QFileSystemWatcher: failed to add paths: /home/test/.kde/share/config/activitymanager-pluginsrc"
#  t169: "QObject::connect: Cannot connect \\(null\\)::resourceScoreUpdated\\(QString, QString, QString, double\\) to NepomukPlugin::resourceScoreUpdated\\(QString, QString, QString, double\\)"
#  t170: "QObject::connect: Cannot connect \\(null\\)::recentStatsDeleted\\(QString, int, QString\\) to NepomukPlugin::deleteRecentStats\\(QString, int, QString\\)"
#  t171: "QObject::connect: Cannot connect \\(null\\)::earlierStatsDeleted\\(QString, int\\) to NepomukPlugin::deleteEarlierStats\\(QString, int\\)"
#  t172: "kactivitymanagerd\\([0-9]+\\)/nepomuk \\(library\\): Could not find virtuoso to connect to. Aborting"

  # mupdf
  t173: "warning: non-embedded font using identity encoding:.+\n"
  t174: "error: No default OCG config"
  t175: "warning: Ignoring Broken Optional Content"
  t176: "error: Compiled without libopenjpeg1, JPEG2000 images are not supported"
  t177: "error: cannot draw xobject/image"
  t178: "warning: Ignoring errors during rendering"
  t179: "mupdf: warning: Errors found on page(. Page rendering may be incomplete.)?"
  t180: "error: invalid page object"
  t181: "warning: cannot find page size for page [0-9]+"
  t182: "warning: line feed missing after stream begin marker \\([0-9]+ [0-9]+ R\\)"
  t183: "error: first object in xref is not free"
  t184: "warning: trying to repair broken xref"
  t185: "warning: unknown font format, guessing type1 or truetype."
  t186: "error: cannot find builtin font: '.*'"
  t187: "error: cannot load (simple|cid) font \\([0-9]+ [0-9]+ R\\)"
  t188: "warning: update_text_appearance failed"
  t189: "warning: not building glyph bbox table for font '[^']+' with [0-9]+ glyphs"
  t190: "error: cannot recognize xref format"
  t191: "error: cannot read xref \\(ofs=[0-9]+\\)"
  t192: "error: cannot read xref at offset [0-9]+"
  t193: "error: cannot find object in xref \\([0-9]+ [0-9]+ R\\)"
  t194: "(warning|error): cannot load object \\((-)?[0-9]+ [0-9]+ R\\) into cache"
  t195: "warning: \\.\\.\\. repeated [0-9]+ times \\.\\.\\."
  t196: "warning: freetype could not find any cmaps"
  t197: "error: expected '(obj|R)' keyword \\([0-9]+ [0-9]+ (\\?|R)\\)"
  t198: "error: cannot parse compressed xref stream object"
  t199: "error: cannot recognize version marker"
  t317: "warning: [Uu]nexpected pop clip"
  t318: "warning: ignoring transfer function"
  t319: "warning: partial final byte in .+"
  t320: "error: cannot set font"
  t321: "warning: cannot draw text since font and size not set"
  t322: "error: zlib error: incorrect (header|data) check"
  t323: "error: cannot read raw stream \\([0-9]+ [0-9]+ R\\)"
  t324: "error: cannot load (type3|embedded) font \\([0-9]+ [0-9]+ R\\)"
  t325: "error: expected generation number \\([0-9]+ \\? obj\\)"
  t326: "warning: ignored error when loading embedded font; attempting to load system font"
  t327: "warning: Ignoring error during interpretation"
  t328: "warning: ignoring XObject with subtype PS"
  t329: "warning: cannot parse file specification"
  t330: "error: expected object number"
  t331: "error: cannot parse object \\([0-9]+ [0-9]+ R\\)"
  t332: "warning: premature end of file in jpeg"
  t333: "error: freetype: cannot load font: (broken file|invalid argument|unknown file format|broken table)"
  t334: "warning: premature end of data in flate filter"
  t335: "error: cannot load (font stream|object stream (containing )?object) \\([0-9]+ [0-9]+ R\\)"
  t336: "error: non-page object in page tree"
  t337: "warning: lexical error \\(unexpected '.'\\)"
  t338: "error: cannot find startxref"
  t339: "warning: ignoring invalid character in hex string"
  t340: "error: unexpected xref type: (0x)?[0-9]+ \\([0-9]+ [0-9]+ R\\)"
  t341: "warning: closepath with no current point"
  t342: "warning: cannot render glyph"
  t343: "mupdf: warning: Cannot load page"
  t344: "warning: out of range code encountered in lzw decode"
  t345: "warning: unknown keyword: '.*'"
  t346: "error: zlib error: invalid code lengths set"
  t347: "warning: padding truncated image"
  t348: "warning: freetype load glyph \\(gid [0-9]+\\): (invalid argument|broken file|opcode syntax error|argument stack underflow|invalid outline)"
  t349: "warning: read error; treating as end of file"
  t350: "warning: ignoring surrogate pair mapping in cmap .+"
  t351: "error: cannot find page [0-9-]+ in page tree"
  t352: "error: cannot find Font dictionary"
  t353: "error: cannot find font resource: '.+'"
  t354: "warning: FT_Glyph_To_Bitmap: (cannot open resource|raster overflow)"
  t355: "error: expected trailer marker"
  t356: "error: cannot parse trailer"
  t357: "error: syntax error after inline image"
  t358: "error: invalid reference to an objstm that does not exist: [0-9]+ \\([0-9]+ [0-9]+ R\\)"
  t359: "error: invalid (key|indirect reference) in dict"
  t360: "error: cannot parse (dict|array)"
  t361: "warning: ignoring broken object \\([0-9]+ [0-9]+ R\\)"
  t362: "(warning|error): (ignoring )?zlib error: invalid distance too far back"
  t363: "error: too few sample function dimension sizes"
  t364: "error: cannot load sampled function \\([0-9]+ [0-9]+ R\\)"
  t365: "warning: bad eod marker in .+"
  t366: "error: exception stack overflow\\!"
  t367: "warning: ignoring keyword 'Tc' inside array"
  t368: "error: cannot find xref marker"
  t369: "error: kid not found in parent's kids array"
  t370: "warning: broken xref section, proceeding anyway."
  t371: "warning: object missing 'endobj' token"
  t372: "error: corrupt object stream \\([0-9]+ [0-9]+ R\\)"
  t373: "(mupdf: )?error: cannot (open|load) document( '.+')?"
  t374: "warning: expected 'endobj' or 'stream' keyword \\([0-9]+ [0-9]+ R\\)"
  t375: "warning: missing clear code in lzw decode"
  t376: "warning: ignoring garbage at end of image"
  t377: "error: cannot (open|parse) colorspace lookup table( \\([0-9]+ [0-9]+ R\\))?"
  t378: "error: zlib error: invalid code -- missing end-of-block"
  t379: "error: zlib error: invalid literal/lengths set"
  t380: "error: syntax error in array"
  t381: "warning: cmap table is full; ignoring additional entries"
  t382: "error: zlib error: invalid stored block lengths"
  t383: "error: jpeg error: Unsupported marker type 0x[0-9]+"
  t384: "warning: jpeg error: Improper call to JPEG library in state [0-9]+"
  t385: "error: broken object at EOF ignored"
  t386: "warning: cannot parse object \\([0-9]+ [0-9]+ R\\) - ignoring rest of file"
  t387: "error: invalid range marker in xref"
  t388: "error: overflow in .+ .+"
  t389: "error: object offset out of range: [0-9]+ \\([0-9]+ [0-9]+ R\\)"
  t390: "error: cannot parse token in array"
  t391: "error: zlib error: invalid bit length repeat"
  t392: "error: xref stream missing Size entry \\([0-9]+ [0-9]+ R\\)"
  t393: "error: syntax error in content stream"
  t394: "error: cannot open object stream \\([0-9]+ [0-9]+ R\\)"
  t395: "warning: lineto with no current point"
  t470: "warning: aes padding out of range"
  t471: "error: object out of range \\((-)?[0-9]+ [0-9]+ R\\); xref size [0-9]+"
  t472: "warning: ignoring object with invalid object number \\((-)?[0-9]+ [0-9]+ R\\)"
  t473: "error: unknown token in dict"
  t474: "warning: cannot parse trailer dictionary - ignoring rest of file"
  t475: "warning: cannot load content stream part [0-9]+/[0-9]+"
  t476: "warning: ignoring broken annotation"
  t477: "error: no XObject subtype specified"
  t478: "error: truncated xref stream"
  t479: "error: syntaxerror: could not parse color space \\([0-9]+ [0-9]+ R\\)"
  t480: "warning: ignoring xref recursion with offset [0-9]+"
  t481: "error: no builtin cmap file: .+"
  t482: "error: cannot parse page content stream"
  t483: "error: syntax error in object \\([0-9]+ [0-9]+ R\\)"
  t484: "error: cannot find ExtGState dictionary"
  t485: "error: cannot set graphics state"
  t486: "error: cannot find ColorSpace dictionary"
  t487: "error: cannot find Pattern dictionary"
  t488: "error: image width is zero \\(or less\\)"
  t489: "error: jbig2_page_out failed"
  t490: "warning: encryption password key too short \\([0-9]+\\)"
  t491: "warning: range limits out of range in cmap.+"
  t492: "error: unexpected xref type: [0-9]x[0-9a-f]+ \\([0-9]+ [0-9]+ R\\)"
  t493: "warning: jpeg error: Application transferred too few scanlines"
  t494: "error: image height is zero \\(or less\\)"
  t495: "error: jpeg error: Bogus DHT index [0-9]+"
  t496: "error: cannot load stitching function \\([0-9]+ [0-9]+ R\\)"
  t497: "error: cannot load shading type [0-9]+ \\([0-9]+ [0-9]+ R\\)"
  t498: "error: cannot draw shading"
  t499: "error: jpeg error: JPEG datastream contains no image"
  t500: "warning: invalid string length for aes encryption"
  t501: "error: cannot find colorspace resource '.+'"
  t502: "error: cannot find extgstate resource '.+'"
  t503: "error: cannot find xobject resource: '.+'"
  t504: "error: object is not a stream"
  t505: "error: image depth is zero \\(or less\\)"
  t506: "error: cannot find pattern resource '.*'"
  t507: "error: unknown pattern type: [0-9]+"
  t508: "error: found object \\([0-9]+ [0-9]+ R\\) instead of \\([0-9]+ [0-9]+ R\\)"
  t509: "warning: missing file identifier, may not be able to do decryption"
  t510: "error: partial block in aes filter"
  t511: "warning: cannot seek backwards"
  t512: "error: object id \\((-)?[0-9]+ [0-9]+ R\\) out of range \\([0-9]+..[0-9]+\\)"
  t513: "error: zlib error: unknown compression method"
  t514: "error: syntaxerror: Type3 font missing Encoding"
  t515: "error: trailer missing Size entry"


  # qpdfview
  t200: "unexpected tz val"
  t201: "Unknown file type: (application/octet-stream|text/plain|inode/x-empty|text/html)"
  t316: "Error: Invalid entry in bfchar block in ToUnicode CMap" 
  t516: "Error: Invalid entry in bfrange block in ToUnicode CMap" 
  t517: "Error: Illegal entry in bfchar block in ToUnicode CMap" 
  t518: "Error: Annotation 3D not supported" 

  # adobe
  t202: "\\(acroread:[0-9]+\\): Gtk-WARNING \\*\\*: Unable to locate theme engine in module_path: \"clearlooks\","
  t203: "terminate called after throwing an instance of 'RSException'"

  # firefox
  t204: "\\(firefox:[0-9]+\\): GLib-GObject-WARNING \\*\\*: Attempt to add property GnomeProgram::sm-connect after class was initialised"
  t205: "\\(firefox:[0-9]+\\): GLib-GObject-WARNING \\*\\*: Attempt to add property GnomeProgram::show-crash-dialog after class was initialised"
  t206: "\\(firefox:[0-9]+\\): GLib-GObject-WARNING \\*\\*: Attempt to add property GnomeProgram::display after class was initialised"
  t207: "\\(firefox:[0-9]+\\): GLib-GObject-WARNING \\*\\*: Attempt to add property GnomeProgram::default-icon after class was initialised"
  t208: "###!!! \\[Parent\\]\\[MessageChannel\\] Error: \\(msgtype=0xCA000D,name=PServiceWorkerManager::Msg___delete__\\) Channel closing: too late to send/recv, messages will be lost"

  # chromium
  t209: "\\[[0-9]+:[0-9]+:[0-9]+/[0-9]+:ERROR:file_path_watcher_linux.cc\\([0-9]+\\)\\] inotify_init\\(\\) failed: Too many open files"
  t210: "\\[[0-9]+:[0-9]+:[0-9]+/[0-9]+:ERROR:sandbox_linux.cc\\([0-9]+\\)\\] InitializeSandbox\\(\\) called with multiple threads in process gpu-process"
  t211: "\\[[0-9]+:[0-9]+:[0-9]+/[0-9]+:ERROR:gcm_channel_status_request.cc\\([0-9]+\\)\\] GCM channel request failed."
  t212: "\\[[0-9]+:[0-9]+:[0-9]+/[0-9]+:ERROR:browser_gpu_channel_host_factory.cc\\([0-9]+\\)\\] Failed to create channel."
  t213: "\\[[0-9]+:[0-9]+:[0-9]+/[0-9]+:ERROR:ssl_client_socket_openssl.cc\\([0-9]+\\)\\] handshake failed; returned [-]?[0-9]+, SSL error code [0-9]+, net_error [-]?[0-9]+"

  # ps2pdf
  t214: "   \\*\\*\\*\\* Warning:  An error occurred while reading an XREF table.\n   \\*\\*\\*\\* The file has been damaged.  This may have been caused\n   \\*\\*\\*\\* by a problem while converting or transfering the file.\n   \\*\\*\\*\\* Ghostscript will attempt to recover the data."
  t215: "   \\*\\*\\*\\* Warning:  There are objects with matching object and generation\n   \\*\\*\\*\\* numbers.  The accuracy of the resulting image is unknown."
  #t216: "   \\*\\*\\*\\* This file had errors that were repaired or ignored.\n   \\*\\*\\*\\* The file was produced by: \n   \\*\\*\\*\\* >>>> .* <<<<\n   \\*\\*\\*\\* Please notify the author of the software that produced this\n   \\*\\*\\*\\* file that it does not conform to Adobe's published PDF\n   \\*\\*\\*\\* specification."
  t217: "   \\*\\*\\*\\* Warning: considering '0000000000 XXXXX n' as a free entry."
  t218: "   \\*\\*\\*\\* Error reading a content stream. The page may be incomplete."
  t219: "   \\*\\*\\*\\* File did not complete the page properly and may be damaged."
  t220: "   \\*\\*\\*\\* Warning: stream operator isn't terminated by valid EOL."
  t221: "   \\*\\*\\*\\* Warning: Encoding not present."
  t222: "GPL Ghostscript [0-9]+.[0-9]+: Missing glyph CID=[0-9]+, glyph=[a-f0-9]+ in the font .+ . The output PDF may fail with some viewers."
  t223: "   \\*\\*\\*\\* Warning: (Link annotation points|Ignoring a named action pointing) out of the document page range."
  # duplicate of t221 t224: "   \\*\\*\\*\\* Warning: Encoding not present."
  t225: "GPL Ghostscript [0-9]+.[0-9]+: \nWarning: .+ cannot be embedded because of licensing restrictions"
  t226: "   \\*\\*\\*\\* Page has no /MediaBox attribute. Using the current page size."
  t227: "   \\*\\*\\*\\* This file had errors that were repaired or ignored.\n   \\*\\*\\*\\* Please notify the author of the software that produced this\n   \\*\\*\\*\\* file that it does not conform to Adobe's published PDF\n   \\*\\*\\*\\* specification."


  t228: "GPL Ghostscript [0-9]+.[0-9]+: Failed to interpret TT instructions in font .+. Continue ignoring instructions of the font."
  t229: "   \\*\\*\\*\\* Warning: Invalid [0-9]+.[0-9]+ font scale given for Tf \\*\\*\\*\\*"
  t230: "(Error: /.+ in .+\n(Additional information:.+\n)?Operand stack:\n.*\nExecution stack:\n.+\n)?Dictionary stack:\n.+\nCurrent allocation mode is (local|global)\n(Current file position is [0-9]+\n|Last OS error: .+\n)?GPL Ghostscript [0-9]+.[0-9]+: Unrecoverable error, exit code [0-9]+"
  t231: "   \\*\\*\\*\\* Error: invalid token after startxref."
  t232: "   \\*\\*\\*\\* Warning: Error reading font stream, loading font by the name"
  t233: "   \\*\\*\\*\\* Warning: Outline has invalid link that was discarded."
  t234: "GPL Ghostscript [0-9]+.[0-9]+: ERROR: A pdfmark destination page [0-9]+ points beyond the last page [0-9]+."
  t235: "   \\*\\*\\*\\* (Warning: )?(File|Form stream|Pattern stream) has unbalanced q/Q operators \\(too many [qQ]'s\\)( \\*\\*\\*\\*)?"
  t236: "   \\*\\*\\*\\* Warning: can't process font stream, loading font by the name."
#  t237: "Can't find the font file /usr/share/fonts/truetype/(.*.ttf)?"
  t237: "Can't find the font file"
  t238: "   \\*\\*\\*\\* Warning: stream Length incorrect."
  t239: "   \\*\\*\\*\\* Warning:  File has an empty .+. Using the current page size instead."
  t240: "GPL Ghostscript [0-9]+.[0-9]+: Warning: 'loca' length [0-9]+ is greater than numGlyphs [0-9]+ in the font .+\\."
  t241: "   \\*\\*\\*\\* Warning: File has some garbage before %PDF- ."
  t254: "warning: ignoring zlib error: incorrect data check"
  t255: "GPL Ghostscript [0-9]+.[0-9]+: ERROR: Page [0-9]+ used undefined glyph '.*' from type 3 font 'T-1', key ''"
  t256: "   \\*\\*\\*\\* Unknown operator: '?.*'?( looks like a malformed number, replacing with 0.)?"
  t257: "   \\*\\*\\*\\* Warning: File has insufficient data for an image."
  t258: "   \\*\\*\\*\\* Warning: obj definition followed by multiple tokens, attempting to recover."
  t259: "   \\*\\*\\*\\* Warning:  File has an invalid xref entry:  [0-9]+.  Rebuilding xref table."
  t260: "   \\*\\*\\*\\* Warning: Tf refers to a resource key with an invalid value type: marktype. Assuming resource key: F[0-9]+ is a font name."
  t261: "GPL Ghostscript [0-9]+.[0-9]+: ERROR: Page [0-9]+ used undefined glyph '/FontInfo 12 dict dup begin\n/v' from type 3 font 'T-1', key ''"
  t262: "   \\*\\*\\*\\* Missing whitespace after 'endobj'."
  t263: "GPL Ghostscript 9.10: ERROR -[0-9]+ closing pdfwrite device. See gs/psi/ierrors.h for code explanation."
  t264: "   \\*\\*\\*\\* Warning: Font /Subtype attribute is wrong or missing, /Type1 assumed."
  t265: "   \\*\\*\\*\\* Warning: Font Widths array size is smaller than character range."
  t266: "   \\*\\*\\*\\* File has circular references in resource dictionaries."
  t267: "   \\*\\*\\*\\* Warning: Spurious '.*' after 'endstream' ignored."
  t268: "   \\*\\*\\*\\* Warning: Tf refers to an unknown resource name: (([F|T|C|R].*)? Assuming it's a font name.)?"
  t269: "   \\*\\*\\*\\* Ignoring (nested BT|spurious ET) operator."
  t270: "   \\*\\*\\*\\* Warning: FirstChar value missing in FontDescriptor for non-base14 font"
  t271: "GPL Ghostscript [0-9]+.[0-9]+: PDFDocEncoding .* cannot be represented in Unicode"
  t272: "   \\*\\*\\*\\* Warning: stream missing 'endstream'."
  t273: "   \\*\\*\\*\\* Warning:  Default viewing OC config dictionary has /BaseState /OFF"
  t274: "   \\*\\*\\*\\* Warning:  Specified xref location is beyond end of file."
  t275: "GPL Ghostscript [0-9]+.[0-9]+: pdfmark error: Outline node [0-9]+ has no action or destination."
  t276: "   \\*\\*\\*\\* Appearance dictionary \\(AP\\) lacks the mandatory normal \\(N\\) appearance."
  t277: "   \\*\\*\\*\\* Warning: Ignoring bad ToUnicode CMap."
  t278: "   \\*\\*\\*\\* Warning: CS/cs \\(setcolorspace\\) operand not a name: .* \\*\\*\\*\\*"
  t279: "GPL Ghostscript [0-9]+.[0-9]+: Can't embed the complete font .* as it is too large, embedding a subset."
  t280: "   \\*\\*\\*\\* Warning: Invalid operator '.*' is assumed to be a number 0."
  t281: "\\+ ./base/saes.c:176: s_aes_process\\(\\): aes stream isn't a multiple of 16 bytes"
  t282: "GPL Ghostscript [0-9]+.[0-9]+: ERROR: Page [0-9]+ used undefined glyph '(FontType 1 def\n/FontMatrix \\[0.|.*)' from type 3 font '.*', key ''"
  t283: "   \\*\\*\\*\\* This file had errors that were repaired or ignored.\n   \\*\\*\\*\\* The file was produced by: \n   \\*\\*\\*\\* >>>> (.+\n)*.* <<<<\n   \\*\\*\\*\\* Please notify the author of the software that produced this\n   \\*\\*\\*\\* file that it does not conform to Adobe's published PDF\n   \\*\\*\\*\\* specification."
  t284: "   \\*\\*\\*\\* Warning:  length of some xref entries is not equal to [0-9]+ bytes."
  t285: "   No pages will be processed \\(FirstPage > LastPage\\)."
  t286: "   \\*\\*\\*\\* Warning: /BBox has zero width or height, which is not allowed."
  t287: "   \\*\\*\\*\\* Warning: Short look-up table in the Indexed color space was padded with 0's."
  t288: "   \\*\\*\\*\\* Warning: invalid operator .+ processed as number 0. ."
  t289: "   \\*\\*\\*\\* Warning: Embedded TT font lacks required cmap table. Using identity cmap."
  t290: "\\| ./base/gsicc.c:384: gx_remap_ICC\\(\\): Could not create ICC link:  Check profiles"
  t291: "   \\*\\*\\*\\* Warning: Undefined space resource: /.+"
  t292: "   \\*\\*\\*\\* Undefined XObject resource: .+"
  t293: "   \\*\\*\\*\\* FontDescriptor missing required /FontName key. BaseFont name used."
  t294: "   \\*\\*\\*\\* Warning: image has no /ColorSpace key; assuming /DeviceRGB."
  t295: "   \\*\\*\\*\\* Warning: Error reading ToUnicode CMap."
  t296: "   \\*\\*\\*\\* File has (an )?unbalanced >> (in trailer|\\(close dictionary\\))."
  t297: "   \\*\\*\\*\\* Considering object with an invalid number (-)?[0-9]+ as null."
  t298: "   \\*\\*\\*\\* Embedded font uses undefined procedure\\(s\\):  NP [0-9]+ times," 
  t299: "sfopen: gs_parse_file_name failed."
  t300: "  ./base/gsicc_manage.c:1031: gsicc_open_search\\(\\): Could not find srgb.icc"
  t301: "   \\*\\*\\*\\* Warning: Font resource has a wrong /Subtype."
  t302: "openjpeg: failed to decode image!"
  t303: "   \\*\\*\\*\\* Warning: Type 1 font defines some of the keys in the external scope."
  t304: "GPL Ghostscript [0-9]+.[0-9]+: The font '.*' misses the glyph '.*' . Continue skipping the glyph."
  t305: "   \\*\\*\\*\\* Warning: File encountered '(rangecheck|undefinedresult)' error while processing an image."
  t306: "   \\*\\*\\*\\* Warning: unrecognized font file starts with <.+>"
  t307: "   \\*\\*\\*\\* Warning: Outline without /Title attribute was discarded."
  t308: "   \\*\\*\\*\\* ERROR: Unable to process LZWFecode data. Page will be missing data."
  t309: "   \\*\\*\\*\\* Error: Cannot find a 'startxref' anywhere in the file."
  t310: "   \\*\\*\\*\\* Warning: Stream object is missing the stream data."
  t311: "   \\*\\*\\*\\* Ignoring non-dictionary /XObject attribute."
  t312: "   \\*\\*\\*\\* Warning: ignoring invalid /DefaultCMYK color space."
  t519: "   \\*\\*\\*\\* /FontName attribute in FontDescriptor is not a name."
  t520: "   \\*\\*\\*\\* Error:  Trailer is not found."
  t521: "   \\*\\*\\*\\* Strange color space <</ColorSpace /Device...>>"
  t522: "  ./base/saes.c:156: s_aes_process\\(\\): invalid aes padding byte \\(0x[a-z0-9]+\\)"
  t523: "   \\*\\*\\*\\* Warning:  No /Pages node. The document root directly point a page."
  t524: "   \\*\\*\\*\\* Warning:  Generation number out of 0..65535 range, assuming 0."
  t525: "   \\*\\*\\*\\* Warning:  PDF document has no pages."
  t526: "   \\*\\*\\*\\* Warning: replacing malformed number '.+' with 0."
  t527: "   \\*\\*\\*\\* This file uses an unknown standard security handler revision: [0-9]+(\n   \\*\\*\\*\\* The file was produced by: \n   \\*\\*\\*\\* >>>> .* <<<<)?"
  t528: "   \\*\\*\\*\\* Warning:  Invalid Page count."
  t529: "   \\*\\*\\*\\* Incorrect object count in object stream."
  t530: "   \\*\\*\\*\\* This file requires a password for access."
  t531: "   \\*\\*\\*\\* Warning: Some elements of Mask array are out of range."
  t532: "   \\*\\*\\*\\* Warning: PDF version number not followed by EOL."
  t533: "   \\*\\*\\*\\* Warning: Invalid hex following '#' name escape, using literal '#' in name."
  t534: "   \\*\\*\\*\\* ID key in the trailer is required for encrypted files."

  # pdftk 
#  t242: "WARNING: The creator of the input PDF:\n   .*.pdf\n   has set an owner password \\(which is not required to handle this PDF\\).\n   You did not supply this password. Please respect any copyright."
  t243: "Error: Unexpected Exception in open_reader\\(\\)"
  t244: "Unhandled Java Exception:\njava.lang.NullPointerException\n   (at gnu.gcj.runtime.NameFinder.lookup\\(libgcj.so.14\\)\n   at java.lang.Throwable.getStackTrace\\(libgcj.so.14\\)\n   at java.lang.Throwable.stackTraceString\\(libgcj.so.14\\)\n   at java.lang.Throwable.printStackTrace\\(libgcj.so.14\\)\n   at java.lang.Throwable.printStackTrace\\(libgcj.so.14\\)|<<No stacktrace available>>)"
  t245: "Warning: no info dictionary found"
  t247: "Unhandled Java Exception:\njava.lang.IndexOutOfBoundsException: Index: [0-9]+, Size: [0-9]+\n   at java.util.ArrayList.raiseBoundsError\\(libgcj.so.14\\)\n   at java.util.ArrayList.checkBoundExclusive\\(libgcj.so.14\\)\n   at java.util.ArrayList.get\\(libgcj.so.14\\)"
  t248: "pdftk.com.lowagie.text.exceptions.InvalidPdfException: unknown.encryption.type.r\n   at java.lang.Throwable.<init>\\(libgcj.so.14\\)\n   at java.lang.Exception.\\<init\\>\\(libgcj.so.14\\)\n   at java.io.IOException.\\<init\\>\\(libgcj.so.14\\)\n   at pdftk.com.lowagie.text.pdf.PdfReader.readPdf\\(pdftk\\)\n   at pdftk.com.lowagie.text.pdf.PdfReader.\\<init\\>\\(pdftk\\)\n   at pdftk.com.lowagie.text.pdf.PdfReader.\\<init\\>\\(pdftk\\)"
  t249: "java.lang.ClassCastException: pdftk.com.lowagie.text.pdf.PdfString cannot be cast to pdftk.com.lowagie.text.pdf.PdfName\n   at pdftk.com.lowagie.text.pdf.PdfReader.replaceNamedDestination\\(pdftk\\)\n   at pdftk.com.lowagie.text.pdf.PdfReader.iterateBookmarks\\(pdftk\\)\n   at pdftk.com.lowagie.text.pdf.PdfReader.consolidateNamedDestinations\\(pdftk\\)"
  t250: "Done.  Input errors, so no output created."
  t251: "Error: Failed to open PDF file: \n   .*.pdf"
  t252: "Error: Unable to find file."
  t253: "pdftk Error in GetPageNumber\\(\\): invalid kids array;"
  t535: "Unhandled Java Exception:\njava.lang.ClassCastException: pdftk.com.lowagie.text.pdf.PdfLiteral cannot be cast to pdftk.com.lowagie.text.pdf.PdfNumber\n   at pdftk.com.lowagie.text.pdf.PdfReader.getNormalizedRectangle\\(pdftk\\)\n   at pdftk.com.lowagie.text.pdf.PdfReader.getPageSize\\(pdftk\\)"

 
codes:
  # pdfinfo
  c001: 1
  c002: 99
  # pdftk
  # 1
  c003: 2  
  # ps2pdf
  # 1
  c004: -11
  c005: 137
  # xpdf
  # 1
  # evince
  # -11  
  # okular
  c006: -14
  c007: 255
  # qpdfview
  # -11
  # mupdf
  # 1
  c008: -6
  c009: 134

# TBD
disabled:
  - t202
  - t203
  - t204
  - t205
  - t206
  - t207
  - t208
  - t209
  - t210
  - t211
  - t212
  - t213
